<?php

namespace App\Modules\Utilitarios\Models;

use Illuminate\Database\Eloquent\Model;
use App\Modules\Utilitarios\Models\Departamento;
class Distrito extends Model
{
	public function search_ubigeo_id(){
		$show = $this::with(['provincias'])->where('idubigeo',$this->id)->get();
		$data = array();
		if ($show->count() > 0) {
			foreach ($show as $search) {
				if (isset($search->provincias)) {
					$departamento = Departamento::find($search->provincias->departamentos_id);
					$data = array('departamentos_id'=>$departamento
								 ,'provincias_id'=>array('id'=>$search->provincias->id,'nombre'=>$search->provincias->nombre)
								 ,'distritos_id'=>array('id'=>$search->id,'nombre'=>$search->nombre,'ubigeo'=>$search->idubigeo)
							);
				}
			}
		}
		return $data;
	}
	public function provincias(){
		return $this->belongsTo('\App\Modules\Utilitarios\Models\Provincia');
	}

}
